Subject: [PATCH 00/12] DRA7xx PRCM, hwmod and DT data

From: [email-masked] (Rajendra Nayak)
Date: Wed, 21 Aug 2013 14:46:39 +0530

On Wednesday 21 August 2013 02:25 PM, Paul Walmsley wrote:
> On Tue, 9 Jul 2013, Rajendra Nayak wrote:
> 
>> This series adds the data files for DRA7xx devices for
>> PRCM, hwmod and DT. This is dependent on the core support [1]
>> patches for DRA7xx and leaves out the clock data since its
>> on its way to DT [2]
>>
>> The regbit headers for prm and cm are cleaned up post the
>> autogeneration as 95% was seen to be currently unused
>> (prm-regbits-7xx.h was 100% unused and hence removed)
>>
>> These patches along with the core support patches are available at:
>> git://github.com/rrnayak/linux.git for-3.12/dra-core-data
> 
> Have glanced through these patches.  The form looks okay to me.  But again 
> it's impossible to me to spot-check or verify almost anything in the data 
> here, until some documentation is available.  Nor can I verify that the 
> series works here, since I don't have a DRA7xx board.  It would be best 
> for TI and for upstream Linux if us maintainers outside TI could at least 
> test these patches, otherwise we are flying blind.

I agree Paul. There isn't a public TRM available yet but I will see if an
NDA TRM can be made available to all maintainers.
As for the boards, we are really running short of these for now due to
lower fab yield etc, but once the situation improves I will push for
boards to be shipped.

> 
> One minor comment is that I think the credit information in the comments 
> of the data files needs to be qualified.  Instead of simply:
> 
> + * Paul Walmsley (paul at pwsan.com)
> + * Rajendra Nayak (rnayak at ti.com)
> + * Benoit Cousson (b-cousson at ti.com)
> 
> it would be better if it read something like:
> 
> * Generated by code originally written by:
> * Paul Walmsley (paul at pwsan.com)
> * Rajendra Nayak (rnayak at ti.com)
> * Benoit Cousson (b-cousson at ti.com)
> 
> or something similar.  Same for the oth

a files.
> 
> Are you fine with this change, or do you have some similar wording that 
> you think is better?    No need to repost, I'll update the patches here.

Thanks, looks fine to me.
Btw, Patch 11/12 and 12/12 of this series are already pulled in by Tony and
Benoit resp.

> - Paul